Bug 977916 - Dangling symlinks in openshift-origin-cartridge-ruby package
Dangling symlinks in openshift-origin-cartridge-ruby package
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Meyer
libra bugs
:
Depends On:
Blocks: 977918
  Show dependency treegraph
 
Reported: 2013-06-25 11:08 EDT by Jason DeTiberus
Modified: 2015-05-14 19:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 977918 (view as bug list)
Environment:
Last Closed: 2013-07-22 11:12:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason DeTiberus 2013-06-25 11:08:11 EDT
Description of problem:
openshift-origin-cartridge-ruby has dangling symlinks: 
File usr/libexec/openshift/cartridges/v2/ruby/versions/1.8/metadata is a dangling symlink (to ../shared/metadata/) on noarch
File usr/libexec/openshift/cartridges/v2/ruby/versions/1.9/metadata is a dangling symlink (to ../shared/metadata/) on noarch

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. Install package
2. ls -l /usr/libexec/openshift/cartridges/v2/ruby/versions/1.8/metadata
3. ls -l /usr/libexec/openshift/cartridges/v2/ruby/versions/1.9/metadata

Actual results:
ls shows broken symlinks

Expected results:
symlinks should not exist

Additional info:
This looks to be left over from early v2 work where there was a versions/shared/metadata directory that no longer exists.
Comment 1 Luke Meyer 2013-07-18 15:44:23 EDT
The following commit was mislabeled and is actually for this bug:

https://github.com/openshift/origin-server/commit/7e8d61fcb6b7cd8a541a318e01dbef7b0d8ace31
<ruby cart> bug 977919 remove broken symlinks
Comment 2 Meng Bo 2013-07-19 01:23:03 EDT
Checked on devenv_3527, issue has been fixed.

[root@ip-10-154-153-202 versions]# pwd
/usr/libexec/openshift/cartridges/ruby/versions
[root@ip-10-154-153-202 versions]# tree -a -L 2
.
├── 1.8
│   ├── etc
│   └── template
├── 1.9
│   ├── etc
│   └── template
├── 2.0
│   ├── etc
│   └── template -> ../shared/template
└── shared
    ├── etc
    └── template

12 directories, 0 files

Note You need to log in before you can comment on or make changes to this bug.